# $Revision: 1.32 $, $Date: 2012/01/23 19:39:24 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Name:		perl-Encode
Version:	2.44
Release:	2
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/DANKOGAI/%{pdir}-%{version}.tar.gz
# Source0-md5:	a18f8021a2bbb9b6ae0a25c26cc14410
URL:		http://search.cpan.org/dist/Encode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Encode-compat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Encode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/enc2xs
%attr(755,root,root) %{_bindir}/piconv
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/encoding.pm
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_vendorarch}/Encode
%dir %{perl_vendorarch}/auto/Encode
%dir %{perl_vendorarch}/auto/Encode/*/
%{perl_vendorarch}/auto/Encode/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/*/*.so
%dir %{perl_vendorlib}/Encode
%{_mandir}/man1/enc2xs.1*
%{_mandir}/man1/piconv.1*
%{_mandir}/man3/Encode*.3pm*
%{_mandir}/man3/encoding.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Encode.spec,v $
Revision 1.32  2012/01/23 19:39:24  zbyniu
- dir %{perl_vendorlib}/Encode added here, all packages using it needs also perl-Encode; rel 2

Revision 1.31  2011/11/07 22:10:03  arekm
- up to 2.44

Revision 1.30  2011/06/02 10:15:03  caleb
- Up to 2.43

Revision 1.29  2011/02/24 18:29:54  qboosh
- unified Source URL

Revision 1.28  2011/01/04 12:04:45  caleb
- Up to 2.42

Revision 1.27  2010/12/05 20:30:21  qboosh
- verbose bin files

Revision 1.26  2010/11/08 11:35:31  caleb
- Up to 2.40

Revision 1.25  2010/11/03 22:10:05  shadzik
- rel 3

Revision 1.24  2010/06/06 19:08:56  arekm
- release 2

Revision 1.23  2010/06/06 00:54:53  radek
- version 2.39

Revision 1.22  2009/11/20 11:39:35  amateja
- fixed changelog

Revision 1.21  2009/11/20 11:34:29  amateja
- updated to 2.38

Revision 1.20  2009/09/11 09:17:41  amateja
- updated to 2.37

Revision 1.19  2009/06/18 13:50:45  amateja
- updated to 2.33

Revision 1.18  2009/03/05 16:26:01  radek
- version 2.31

Revision 1.17  2009/01/16 22:50:03  radek
- version 2.26

Revision 1.16  2008/12/08 02:40:05  glen
- O: perl-Encode-compat likely belongs to perl-Encode

Revision 1.15  2008/06/01 20:17:06  glen
- as package in perl.spec rather

Revision 1.14  2008-06-01 14:41:20  shadzik
- unify with perl.spec
- epoch 1

Revision 1.13  2008-04-02 09:10:21  arekm
- up to 2.24

Revision 1.12  2008-03-14 00:34:59  glen
- sync with perl.spec

Revision 1.11  2008-03-06 01:38:52  wolvverine
- rel.2

Revision 1.10  2008-02-25 01:10:17  glen
- update to 2.23

Revision 1.9  2008-02-24 23:54:52  glen
- release 1

Revision 1.8  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.7  2007-04-01 09:54:56  qboosh
- fixed files

Revision 1.6  2007/04/01 09:40:26  qboosh
- generic URL
- License is same as perl
- no executable perms for *.bs

Revision 1.5  2007/02/13 07:16:55  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.3  2006/07/27 18:38:50  agaran
- updated to 2.18, rel 0.1, not really clean,
- seems that no manuals generate now (need to fix probably)

Revision 1.2  2004/12/16 23:42:34  qboosh
- pl fix, cosmetics

Revision 1.1  2004/12/16 14:43:50  radek
- new
